quade.test {ctest} | R Documentation

## Quade Test

### Description

Performs a Quade test with unreplicated blocked data.

### Usage

    quade.test(y, groups, blocks)

### Arguments

`y` | either a numeric vector of data values, or a data matrix.
`groups` | a vector giving the group for the corresponding elements of `y` if this is a vector; ignored if `y` is a matrix. If not a factor object, it is coerced to one.
`blocks` | a vector giving the block for the corresponding elements of `y` if this is a vector; ignored if `y` is a matrix. If not a factor object, it is coerced to one.

### Details

`quade.test` can be used for analyzing unreplicated complete block designs (i.e., there is exactly one observation in `y` for each combination of levels of `groups` and `blocks`) where the normality assumption may be violated.

The null hypothesis is that apart from an effect of `blocks`, the location parameter of `y` is the same in each of the `groups`.

If `y` is a matrix, `groups` and `blocks` are obtained from the column and row indices, respectively. `NA`'s are not allowed in `groups` or `blocks`; if `y` contains `NA`'s, corresponding blocks are removed.

### Value

A list with class `"htest"` containing the following components:

`statistic` | the value of Quade's F statistic.
`parameters` | a vector with the numerator and denominator degrees of freedom of the approximate F distribution of the test statistic.
`p.value` | the p-value of the test.
`method` | the string `"Quade test"`.
`data.name` | a character string giving the names of the data.

### References

D. Quade (1979), Using weighted rankings in the analysis of complete blocks with additive block effects. Journal of the American Statistical Association, 74, 680–683.

W. J. Conover (1999), Practical nonparametric statistics. New York: John Wiley & Sons. Pages 373–380.

### See Also

`friedman.test`.

### Examples

    ## Conover (1999, p. 375f):
    ## Numbers of five brands of a new hand lotion sold in seven stores
    ## during one week.
    y <- matrix(c( 5,  4,  7, 10, 12,
                   1,  3,  1,  0,  2,
                  16, 12, 22, 22, 35,
                   5,  4,  3,  5,  4,
                  10,  9,  7, 13, 10,
                  19, 18, 28, 37, 58,
                  10,  7,  6,  8,  7),
                nr = 7, byrow = TRUE,
                dimnames =
                list(Store = as.character(1:7),
                     Brand = LETTERS[1:5]))
    y
    quade.test(y)

[Package Contents]